Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.operation.transaction
Class Insert

    java.lang.Object
      org.deegree.ogcwebservices.wfs.operation.transaction.TransactionOperation
          org.deegree.ogcwebservices.wfs.operation.transaction.Insert

    public class Insert

extends TransactionOperation

Represents an `Insert` operation as a part of a `Transaction` request.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Anup Deshmukh , Markus Schneider , last edited by: $Author: mschneider $

Nested Class Summary
`static class` | `Insert.ID_GEN` Generation strategies for feature ids.

Field Summary
`static String` | `ID_GEN_GENERATE_NEW_STRING` Always generate new feature ids.
`static String` | `ID_GEN_REPLACE_DUPLICATE_STRING` Use provided feature ids, generate new id if feature with same id already exists.
`static String` | `ID_GEN_USE_EXISTING_STRING` Use provided feature ids.

Constructor Summary
`Insert(String handle, Insert.ID_GEN idGenMode, URI srsName, FeatureCollection fc)` Creates a new `Insert` instance.

Method Summary
`List<QualifiedName>` | `getAffectedFeatureTypes()` Returns the names of the feature types that are affected by the operation.
`FeatureCollection` | `getFeatures()` Returns the feature instances to be inserted.
`Insert.ID_GEN` | `getIdGen()` Returns the mode for id generation.
`URI` | `getSRSName()` Returns the asserted SRS of the features to be inserted.
`void` | `setFeatureCollection(FeatureCollection fc)` Sets the feature instances to be inserted.

Methods inherited from class org.deegree.ogcwebservices.wfs.operation.transaction.TransactionOperation
`getHandle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID_GEN_GENERATE_NEW_STRING

    public static final String ID_GEN_GENERATE_NEW_STRING

  Always generate new feature ids.

  See Also:
    Constant Field Values

### ID_GEN_USE_EXISTING_STRING

    public static final String ID_GEN_USE_EXISTING_STRING

  Use provided feature ids.

  See Also:
    Constant Field Values

### ID_GEN_REPLACE_DUPLICATE_STRING

    public static final String ID_GEN_REPLACE_DUPLICATE_STRING

  Use provided feature ids, generate new id if feature with same id already exists.

  See Also:
    Constant Field Values

Constructor Detail

### Insert

    public Insert(String handle,
                  Insert.ID_GEN idGenMode,
                  URI srsName,
                  FeatureCollection fc)

  Creates a new `Insert` instance.

  Parameters:
    `handle` - optional identifier for the operation (for error messsages)
    `idGenMode` - mode for feature id generation
    `srsName` - name of the spatial reference system
    `fc` - feature instances to be inserted, wrapped in a `FeatureCollection`

Method Detail

### getIdGen

    public Insert.ID_GEN getIdGen()

  Returns the mode for id generation.

  Must be one of the following:

  - ID_GEN.USE_EXISTING
  - ID_GEN.REPLACE_DUPLICATE
  - ID_GEN.GENERATE_NEW

  Returns:
    the mode for id generation

### getSRSName

    public URI getSRSName()

  Returns the asserted SRS of the features to be inserted.

  Returns:
    the asserted SRS of the features

### getFeatures

    public FeatureCollection getFeatures()

  Returns the feature instances to be inserted.

  Returns:
    the feature instances to be inserted

### setFeatureCollection

    public void setFeatureCollection(FeatureCollection fc)

  Sets the feature instances to be inserted.

  Parameters:
    `fc` - feature instances to be inserted

### getAffectedFeatureTypes

    public List<QualifiedName> getAffectedFeatureTypes()

  Returns the names of the feature types that are affected by the operation.

  Specified by:
    `getAffectedFeatureTypes` in class `TransactionOperation`
  Returns:
    the names of the affected feature types

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org